com.io7m.r2.core

## Class R2ShadowDepthVariance.Builder

- java.lang.Object
- - com.io7m.r2.core.R2ShadowDepthVariance.Builder

- Enclosing class:
    R2ShadowDepthVariance

      public static final class R2ShadowDepthVariance.Builder
      extends Object

  Builds instances of type `R2ShadowDepthVariance`. Initialize attributes and then invoke the `build()` method to create an immutable instance.

  `Builder` is not thread-safe and generally should not be stored in a field or collection, but instead used immediately to create instances.

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `R2ShadowDepthVariance` | `build()` Builds a new `R2ShadowDepthVariance`.
    `R2ShadowDepthVariance.Builder` | `from(R2ShadowDepthVarianceType instance)` Fill a builder with attribute values from the provided `com.io7m.r2.core.R2ShadowDepthVarianceType` instance.
    `R2ShadowDepthVariance.Builder` | `from(R2ShadowType instance)` Fill a builder with attribute values from the provided `com.io7m.r2.core.R2ShadowType` instance.
    `R2ShadowDepthVariance.Builder` | `setMapDescription(R2DepthVarianceBufferDescriptionType mapDescription)` Initializes the value for the `mapDescription` attribute.
    `R2ShadowDepthVariance.Builder` | `setShadowID(long shadowID)` Initializes the value for the `shadowID` attribute.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### from

          public final R2ShadowDepthVariance.Builder from(R2ShadowDepthVarianceType instance)

      Fill a builder with attribute values from the provided `com.io7m.r2.core.R2ShadowDepthVarianceType` instance.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### from

          public final R2ShadowDepthVariance.Builder from(R2ShadowType instance)

      Fill a builder with attribute values from the provided `com.io7m.r2.core.R2ShadowType` instance.
      Parameters:
        `instance` - The instance from which to copy values
      Returns:
        `this` builder for use in a chained invocation

    - #### setShadowID

          public final R2ShadowDepthVariance.Builder setShadowID(long shadowID)

      Initializes the value for the `shadowID` attribute.
      Parameters:
        `shadowID` - The value for shadowID
      Returns:
        `this` builder for use in a chained invocation

    - #### setMapDescription

          public final R2ShadowDepthVariance.Builder setMapDescription(R2DepthVarianceBufferDescriptionType mapDescription)

      Initializes the value for the `mapDescription` attribute.
      Parameters:
        `mapDescription` - The value for mapDescription
      Returns:
        `this` builder for use in a chained invocation

    - #### build

          public R2ShadowDepthVariance build()

      Builds a new `R2ShadowDepthVariance`.
      Returns:
        An immutable instance of R2ShadowDepthVariance
      Throws:
        `IllegalStateException` - if any required attributes are missing

Copyright © 2016 <code@io7m.com> http://io7m.com